%define		_class		uuid
%define		_pearname	%{_class}
%define		_status		stable

#%define		_requires_exceptions pear()\\|pear()

Summary:	%{_pearname} - UUID support functions
Name:		php-pear-%{_pearname}
Version:	1.0
Release:	%mkrel 1
Epoch:		0
License:	PHP License
Group:		Development/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tar.bz2
URL:		http://pear.php.net/package/%{_pearname}
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildRequires:	libext2fs-devel
BuildRequires:	dos2unix
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This extension provides functions to generate and analyse
universally unique identifiers (UUIDs). It depends on the
external libuuid. This library is available on most linux
systems, its source is bundled with the ext2fs tools.

In PEAR status of this package is: %{_status}.

%prep
%setup -q -n %{_pearname}-%{version}
%{__mv} -f ../package.xml package.xml

%build
%{_bindir}/phpize
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall INSTALL_ROOT=%{buildroot}

%{__mkdir_p} %{buildroot}%{_datadir}/pear/packages
%{__install} -m 0644 package.xml %{buildroot}%{_datadir}/pear/packages/%{_pearname}.xml

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/78_%{_pearname}.ini << EOF
extension = %{_pearname}.so
EOF

%post
if [ "$1" = "1" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear install --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi
if [ "$1" = "2" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear upgrade -f --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi
%_post_webapp

%postun
%_postun_webapp

%preun
if [ "$1" = 0 ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear uninstall --nodeps -r %{_pearname}
	fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc CREDITS %{_pearname}.xml
%{_datadir}/pear/packages/%{_pearname}.xml
%attr(-,root,root) %{_libdir}/php/extensions/%{_pearname}.so
%config(noreplace) %{_sysconfdir}/php.d/*%{_pearname}.ini

%changelog
* Sat Jun 03 2006 David Walluck <walluck@mandriva.org> 0:1.0-1mdv2007.0
- 1.0
- release
